require 'oekaki'

L = 400
R1 = 150
R2 = (L - R1 * 2) / 2 - 5
STP1 = (PI / 180) * 0.5
STP2 = (PI / 180) * 10

Oekaki.app width: L, height: L do
  draw do
    clear(color(5000, 0, 10000))
  end

  i = 0
  
  id = timer(20) do
    x = L / 2 + (R1 * cos(STP1 * i) + R2 * cos(STP2 * i))
    y = L / 2 - (R1 * sin(STP1 * i) + R2 * sin(STP2 * i))
    color(0, 65535, 0)
    arc(false, x, y, 3, 3, 0, 64 * 360)
    i += 1
    timer_stop(id) if STP1 * i > PI * 2
    true
  end
end
