require 'oekaki'

Oekaki.app do
  draw do
    clear
  end
    
  po = Vector[0, 150]
  θ = PI / 50
  a = Matrix[[cos(θ), -sin(θ)], [sin(θ), cos(θ)]]
  
  timer(20) do
    clear
    color(0, 65535, 0)
    star(false, 150, 150, 150 + po[0], 150 - po[1])
    po = a * po
  end
end
